# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ClubEquipe(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'cl_no': 'int',
        'district': 'CdgEquipe',
        'affiliation_number': 'int',
        'name': 'str',
        'short_name': 'str',
        'logo': 'str'
    }

    attribute_map = {
        'cl_no': 'cl_no',
        'district': 'district',
        'affiliation_number': 'affiliation_number',
        'name': 'name',
        'short_name': 'short_name',
        'logo': 'logo'
    }

    def __init__(self, cl_no=None, district=None, affiliation_number=None, name=None, short_name=None, logo=None):  # noqa: E501
        """ClubEquipe - a model defined in Swagger"""  # noqa: E501
        self._cl_no = None
        self._district = None
        self._affiliation_number = None
        self._name = None
        self._short_name = None
        self._logo = None
        self.discriminator = None
        if cl_no is not None:
            self.cl_no = cl_no
        if district is not None:
            self.district = district
        if affiliation_number is not None:
            self.affiliation_number = affiliation_number
        if name is not None:
            self.name = name
        if short_name is not None:
            self.short_name = short_name
        if logo is not None:
            self.logo = logo

    @property
    def cl_no(self):
        """Gets the cl_no of this ClubEquipe.  # noqa: E501


        :return: The cl_no of this ClubEquipe.  # noqa: E501
        :rtype: int
        """
        return self._cl_no

    @cl_no.setter
    def cl_no(self, cl_no):
        """Sets the cl_no of this ClubEquipe.


        :param cl_no: The cl_no of this ClubEquipe.  # noqa: E501
        :type: int
        """

        self._cl_no = cl_no

    @property
    def district(self):
        """Gets the district of this ClubEquipe.  # noqa: E501


        :return: The district of this ClubEquipe.  # noqa: E501
        :rtype: CdgEquipe
        """
        return self._district

    @district.setter
    def district(self, district):
        """Sets the district of this ClubEquipe.


        :param district: The district of this ClubEquipe.  # noqa: E501
        :type: CdgEquipe
        """

        self._district = district

    @property
    def affiliation_number(self):
        """Gets the affiliation_number of this ClubEquipe.  # noqa: E501


        :return: The affiliation_number of this ClubEquipe.  # noqa: E501
        :rtype: int
        """
        return self._affiliation_number

    @affiliation_number.setter
    def affiliation_number(self, affiliation_number):
        """Sets the affiliation_number of this ClubEquipe.


        :param affiliation_number: The affiliation_number of this ClubEquipe.  # noqa: E501
        :type: int
        """

        self._affiliation_number = affiliation_number

    @property
    def name(self):
        """Gets the name of this ClubEquipe.  # noqa: E501


        :return: The name of this ClubEquipe.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this ClubEquipe.


        :param name: The name of this ClubEquipe.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def short_name(self):
        """Gets the short_name of this ClubEquipe.  # noqa: E501


        :return: The short_name of this ClubEquipe.  # noqa: E501
        :rtype: str
        """
        return self._short_name

    @short_name.setter
    def short_name(self, short_name):
        """Sets the short_name of this ClubEquipe.


        :param short_name: The short_name of this ClubEquipe.  # noqa: E501
        :type: str
        """

        self._short_name = short_name

    @property
    def logo(self):
        """Gets the logo of this ClubEquipe.  # noqa: E501


        :return: The logo of this ClubEquipe.  # noqa: E501
        :rtype: str
        """
        return self._logo

    @logo.setter
    def logo(self, logo):
        """Sets the logo of this ClubEquipe.


        :param logo: The logo of this ClubEquipe.  # noqa: E501
        :type: str
        """

        self._logo = logo

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ClubEquipe, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ClubEquipe):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
